diff -Nru devscripts-2.21.1ubuntu1/debian/changelog devscripts-2.21.1ubuntu2/debian/changelog
--- devscripts-2.21.1ubuntu1/debian/changelog	2021-02-25 09:25:09.000000000 +0000
+++ devscripts-2.21.1ubuntu2/debian/changelog	2021-03-04 13:03:57.000000000 +0000
@@ -1,3 +1,9 @@
+devscripts (2.21.1ubuntu2) UNRELEASED; urgency=medium
+
+  * Use git diff in debdiff, if available Closes: #907126
+
+ -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 04 Mar 2021 13:03:57 +0000
+
 devscripts (2.21.1ubuntu1) hirsute; urgency=low
 
   * Merge from Debian unstable. Remaining changes:
diff -Nru devscripts-2.21.1ubuntu1/scripts/debdiff.pl devscripts-2.21.1ubuntu2/scripts/debdiff.pl
--- devscripts-2.21.1ubuntu1/scripts/debdiff.pl	2021-02-16 20:46:17.000000000 +0000
+++ devscripts-2.21.1ubuntu2/scripts/debdiff.pl	2021-03-04 13:03:42.000000000 +0000
@@ -756,9 +756,16 @@
         closedir(DIR);
     }
 
-    my @command = ("diff", "-Nru", @diff_opts);
-    for my $exclude (@excludes) {
-        push @command, ("--exclude", $exclude);
+
+    my @command = ();
+    system("command -v git >/dev/null 2>&1");
+    if ($? == 0) {
+	@command = ("git", "diff", "--no-index", @diff_opts);
+    } else {
+	@command = ("diff", "-Nru", @diff_opts);
+	for my $exclude (@excludes) {
+	    push @command, ("--exclude", $exclude);
+	}
     }
     push @command, ("$dir1/$sdir1", "$dir2/$sdir2");
 
